Bug 205524 - biology/htslib: Update to 1.3
Summary: biology/htslib: Update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks: 205525 205526
  Show dependency treegraph
 
Reported: 2015-12-22 23:20 UTC by cartwright
Modified: 2015-12-25 01:33 UTC (History)
1 user (show)

See Also:
cartwright: maintainer-feedback+


Attachments
Patch to upgrade biology/htslib to 1.3 (6.23 KB, text/plain)
2015-12-22 23:20 UTC, cartwright
vlad-fbsd: maintainer-approval+
Details
poudriere testport output for releng_10_2 (31.58 KB, text/plain)
2015-12-22 23:21 UTC, cartwright
no flags Details
poudriere testport output for releng_9_3 (30.07 KB, text/plain)
2015-12-22 23:21 UTC, cartwright
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cartwright 2015-12-22 23:20:22 UTC
Created attachment 164511 [details]
Patch to upgrade biology/htslib to 1.3

Update biology/htslib to version 1.3.

Add libcurl support.

Add make test support.
Comment 1 cartwright 2015-12-22 23:21:16 UTC
Created attachment 164512 [details]
poudriere testport output for releng_10_2
Comment 2 cartwright 2015-12-22 23:21:43 UTC
Created attachment 164513 [details]
poudriere testport output for releng_9_3
Comment 3 VK freebsd_triage 2015-12-23 00:16:58 UTC
Comment on attachment 164511 [details]
Patch to upgrade biology/htslib to 1.3

Thanks. Note that you have the ability to approve the patches for ports you're maintainer of.
Comment 4 Jason Unovitch freebsd_committer 2015-12-24 22:58:36 UTC
Everywhere else in ports we use "CURL" for that option. Not as 'libcurl' or lower case.  Otherwise with that small change I think the patch looks good and I am reviewing the entire batch of patches to commit all at once since they depend on this bug.
Comment 5 commit-hook freebsd_committer 2015-12-25 01:32:04 UTC
A commit references this bug:

Author: junovitch
Date: Fri Dec 25 01:31:11 UTC 2015
New revision: 404398
URL: https://svnweb.freebsd.org/changeset/ports/404398

Log:
  biology/{bcftools,htslib,samtools}: update 1.2.x -> 1.3

  - Update ports to 1.3 and set BUILD_DEPENDS of dependent ports to require
    version 1.3 of htslib.
  - Add CURL option to htslib
  - Add TEST_TARGET with perl and bash dependencies for testing
  - Tidy up spacing and pkg-message's

  PR:		205524
  PR:		205525
  PR:		205526
  Submitted by:	cartwright@asu.edu (maintainer)

Changes:
  head/biology/bcftools/Makefile
  head/biology/bcftools/distinfo
  head/biology/bcftools/files/patch-Makefile
  head/biology/bcftools/files/patch-plugins_fixploidy.mk
  head/biology/bcftools/files/patch-plugins_vcf2sex.mk
  head/biology/bcftools/files/patch-prob1.c
  head/biology/bcftools/files/patch-test_test.pl
  head/biology/bcftools/files/pkg-message.in
  head/biology/bcftools/pkg-plist
  head/biology/htslib/Makefile
  head/biology/htslib/distinfo
  head/biology/htslib/files/patch-Makefile
  head/biology/htslib/files/patch-configure.ac
  head/biology/htslib/files/patch-cram_cram__io.c
  head/biology/htslib/files/patch-hfile__libcurl.c
  head/biology/htslib/pkg-plist
  head/biology/samtools/Makefile
  head/biology/samtools/distinfo
  head/biology/samtools/files/ax_with_curses.m4
  head/biology/samtools/files/ax_with_htslib.m4
  head/biology/samtools/files/patch-Makefile
  head/biology/samtools/files/patch-configure.ac
  head/biology/samtools/files/patch-dict.c
  head/biology/samtools/files/patch-errmod.c
  head/biology/samtools/files/patch-test_test.pl
  head/biology/samtools/files/pkg-message.in
  head/biology/samtools/pkg-plist
Comment 6 Jason Unovitch freebsd_committer 2015-12-25 01:33:30 UTC
Committed. Thanks!

Note, this was also missing:
TEST_DEPENDS=   bash:${PORTSDIR}/shells/bash

A `make test` failed on the missing bash dependency.  I added that in as well as fixing the naming for CURL option as mentioned in comment 4.